import {Component, OnInit} from '@angular/core';
import {PersonModel} from "../../../models";
import {DataService} from "../../services";

@Component({
  selector: 'app-list',
  templateUrl: './list.component.html',
  styleUrls: ['./list.component.css']
})
export class ListComponent implements OnInit {
  private persons: PersonModel[] = [];
  private searchField: string;

  constructor(private dataService: DataService) {

  }

  async ngOnInit(): Promise<any> {
    this.persons = await this.dataService.getPersons();
  }
}
