import {ModuleWithProviders} from '@angular/core';
import {RouterModule} from '@angular/router';

import * as Components from './components';
import * as Guards from './guards';

export const Routing: ModuleWithProviders = RouterModule.forRoot([
  {path: 'person/:id', component: Components.DetailComponent, resolve: {person: Guards.ResolvePersonGuard}},
  {path: '', component: Components.ListComponent, pathMatch: 'full'}
]);
